%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%define daemon_user wwwrun
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define daemon_user apache
%endif
Name: monitor-geomap
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2
Packager: build@op5
Vendor: op5 AB
BuildRoot: /tmp/%name-%version
Summary: Geomap plugin for Monitor
Group: op5/Monitor
Prefix: /opt/monitor/op5/ninja
BuildArch: noarch
BuildRequires: python
BuildRequires: monitor-ninja-devel
Requires: monitor-ninja >= 3.1
Requires: python
Requires: python-lxml
Source: %name-%version.tar.gz

%description
Geomap plugin for monitor

%package test
Summary: Test scripts for monitor-geomap
Group: op5/Monitor
Requires: monitor-geomap = %{version}
Requires: monitor-nacoma
Requires: python-nose
Requires: gcc
Requires: phantomjs
Requires: php-phpunit-PHPUnit
Requires: monitor-ninja-test
%if 0%{?rhel} <= 6
Requires: ruby20
Requires: ruby20-devel
%else
Requires: ruby
Requires: ruby-devel
%endif

%description test
Test scripts for monitor-geomap

%prep
rm -rf %buildroot
%setup -q

%build
make

%install
mkdir -p -m 755 %buildroot%prefix/modules
cp -r install_scripts  %buildroot%prefix
cp -r geomap  %buildroot%prefix/modules/geomap

mkdir -p -m 755 %buildroot%prefix/application/config
cp -r config  %buildroot%prefix/application/config/geomap

mkdir -p %buildroot/etc/op5-backup/modules/external
cp -f backup/op5-geomap %buildroot/etc/op5-backup/modules/external

mkdir -p %buildroot/opt/monitor/op5/nacoma/hooks/save
install -m 755 op5build/geomap_hook.py %buildroot/opt/monitor/op5/nacoma/hooks/save/geomap_hook.py
install -m 755 test/nose/geomap_hook_test.py %buildroot/opt/monitor/op5/nacoma/hooks/save/geomap_hook_test.py
%if 0%{?sles_version}
%{py_compile %buildroot/opt/monitor/op5/nacoma/hooks/save}
%{py_compile -O %buildroot/opt/monitor/op5/nacoma/hooks/save}
%endif

%post
php %prefix/install_scripts/update_geomap_settings.php \
	%prefix/../nagvis/etc/geomap/ \
	%prefix/modules/geomap/config/geomap/

%files
%defattr(664,monitor,%daemon_group,775)
%prefix/install_scripts/update_geomap_settings.php
%prefix/modules/geomap
%dir %attr(775,%daemon_user,%daemon_group) %prefix/application/config/geomap
%config(noreplace) %attr(664,%daemon_user,%daemon_group) %prefix/application/config/geomap/*
%attr(644,root,root) /etc/op5-backup/modules/external/op5-geomap
%attr(755,root,root) /opt/monitor/op5/nacoma/hooks/save/geomap_hook.py
%attr(644,root,root) /opt/monitor/op5/nacoma/hooks/save/geomap_hook.pyc
%attr(644,root,root) /opt/monitor/op5/nacoma/hooks/save/geomap_hook.pyo

%files test
%attr(755,%{daemon_user},%{daemon_group}) /opt/monitor/op5/nacoma/hooks/save/geomap_hook_test.py*

%clean
rm -rf %buildroot